Retrieve a transfer's status
curl --request GET \
--url https://api.example.com/transfers/{id}/status \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/transfers/{id}/status"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/transfers/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tr_z1urYtVFgEebtcj8fxp4v",
"status": "successful"
}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"status": 403,
"error": {
"statusCode": 403,
"message": "Forbidden",
"error": "<string>"
}
}{
"httpStatus": 404,
"message": "X not found",
"error": "Not found"
}{
"status": 429,
"error": "ThrottlerException: Too Many Requests"
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"invalid_sandbox_msisdn",
"invalid_url",
"orange_invalid_url",
"wrong_provider",
"override_business_name",
"do_not_override_business_name"
],
"message": "An error occurred on our system. Please try again later."
}Transfers
Retrieve a transfer's status
Retrieve the status for a transfer
GET
/
transfers
/
{id}
/
status
Retrieve a transfer's status
Headers
Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.
Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.
Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.
Available options:
live, sandbox Path Parameters
Unique identifier for the Transfer
Example:
"tr_z1urYtVFgEebtcj8fxp4v"
⌘I
